# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

### Changed

* Transaction::ExecuteAsynchronously is actually asynchronous now.
* Removed boost from the headers. Boost is only a build dependency from now on.

### Deprecated

### Removed

### Fixed

* Calling "GetFileDescriptor().wrapped->path()" after retrieval leads to SegFault.
- #41 Updated Conan version in CI pipeline.

### Security

### Documentation

## [0.1.2] - 2022-05-31
(Florian Spreckelsen)

### Fixed

- #41 Updated Conan version in CI pipeline.

## [0.1.1 - 2022-04-12]

### Security

- Bumped zlib dependency to 1.2.12.

## [0.1.0 - 2021-12-11]

Initial Release.

Please review [FEATURES.md](./FEATURES.md) for an overview of the features of
this library. Apart from that, the API documentation for
[C++](https://docs.indiscale.com/caosdb-cpplib/cppapi/index.html) and [plain
old C](https://docs.indiscale.com/caosdb-cpplib/capi/index.html) specify the
public API.

Note that this is still a pre-stable release as indicated by the major version
number. The API is still under development and is likely to change.
